# ChatGPT Content Generator

The module will integrate OpenAI ChatGPT with our Drupal system. It will add a
link on the content add and edit page. On clicking this link, it will open a
popup which will provide access to the ChatGPT content search. Content creators
can copy the article from the popup and can create a new content with it.
This will be greatly beneficial to the content creators and editors as they
will be able to generate content instantly with ChatGPT AI on the content
creation page itself.

This module has two parts:

1. **ChatGPT API Configuration page**: A "ChatGPT API Settings" link will appear
   on the Administration > Configuration page from where you can update the API
   endpoint, access token and other required information to make the API Call.
2. **ChatGPT Search link** on the content add and edit page.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/chatgpt_plugin).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/chatgpt_plugin).


## Contents of this file

- Requirements
- Installation
- Configuration
- Usage
- Maintainers


## Requirements

This module requires no modules outside of Drupal core. But we need an OpenAI 
ChatGPT access token which will allow our Drupal system to make API calls to
the OpenAI ChatGPT. Here is how you can get the API token:
1. Please signup first in the OpenAI site at https://beta.openai.com/account
   and then log into the portal
2. When logged into the portal, please create your API access token at
   https://beta.openai.com/account/api-keys


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Navigate to Administration > Extend and enable the module
1. Navigate to Administration > Configuration > ChatGPT API Settings
   to configure OpenAI ChatGPT API settings
1. Completion API endpoint is at https://api.openai.com/v1/completions
1. Enter your API Access token and other information. For more info check
   https://beta.openai.com/docs/api-reference/completions
1. Now a "ChatGPT Search" link will appear in content add and edit page


## Usage

In the settings page enter your API access token and save it.

The ChatGPT Search link will now appear in the content add and edit page which
will give provide OpenAI ChatGPT access to our content editors.


## Maintainers

- Anup Sinha - [anup.sinha](https://www.drupal.org/u/anupsinha)
